[Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Riconoscimento, installazione e configurazione delle periferiche.
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

[Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

È stato riscontrato un bug del server X che potrebbe colpire le schede ATI serie HD. Fra le schede video e le integrate monility radeon segnalate sul forum italiano ci sono le HD 2400XT, 2400 PRO, 2600, 3470, 3650, 3850 e 4730. Attualmente non si può escludere che colpisca anche altre schede.
Il bug causa un evidente rallentamento delle prestazioni, visibile nella lentezza di massimizzazione/demassimizzazione delle finestre del desktop e, a volte, nella visione dei video. Durante l'ingrandimento o il rimpicciolimento di una finestra l'audio di un player potrebbe bloccarsi per qualche secondo.
È stato segnalato su Jaunty Jackalope, karmic Koala e Lucid Lynx.

Il bug è stato riportato e risolto su launchpad.net:
https://bugs.launchpad.net/ubuntu/+sour ... bug/351186
Attualmente la segnalazione di bug ha raggiunto il limite di messaggi e la discussione è stata spostata qui:
https://bugs.launchpad.net/ubuntu/+sour ... bug/568988
La soluzione consiste nell'installazione una versione dell' X server chiamata xserver-nobackfill. Disinstallate i drivers proprietari ATI prima di procedere.


Discussioni e procedure di installazione:
- forum Ubuntu-it
http://forum.ubuntu-it.org/viewtopic.php?t=155477
v. mia Risposta #3113 e seguenti. La riporto qui per comodità:
nativis ha scritto: Si tratta di aggiungere il repository del pacchetto xserver-no-backfill alla lista delle fonti dei nostri aggiornamenti.

Edit 1
Almeno in un caso è stato riportato che la procedura qui descritta può causare uno schermo nero. Per evitarlo dovrebbe bastare disinstallare i drivers proprietari FGLRX prima di eseguirla.
/edit

Edit 2
Link aggiornato per il download di nobackfill per Karmic Koala:
https://launchpad.net/~launchpad-weylan ... obackfill/
/edit

Edit 3
Link aggiornato per il download di nobackfill per Lucid Lynx beta 2.
tsukabishi ha scritto: https://launchpad.net/~bryceharrington/+archive/violet

Al momento di postare la versione nel ppa è inferiore a quella presente nei repository normali quindi è necessario forzare la versione.
Da synaptic si cerca il pacchetto xorg-server e poi si seleziona xserver-xorg-core. Si preme crtl+E si seleziona la versione del ppa. Poi si spunta la reinstallazione del pacchetto.. un riavvio di X server e funziona tutto a meraviglia
Edit 4
Dopo aver completato la procedura, l'aggiornamento dovrebbe risultare disponibile Fra gli aggiornamenti normali o proposti. Se non fosse disponibile verificate anche tramite Gestore pacchetti synaptic.
/edit


1. Traduco da qui (dopo aver selezionato Jaunty):
https://edge.launchpad.net/~ubuntu-x-sw ... o-backfill


2. Al paragrafo Technical details about this PPA, dice di aprire Sistema > Amministrazione > Sorgenti Software > Software di terze Parti. Clic in basso sul tasto Aggiungi.

Per Jaunty copiare e incollare, uno ad uno, i due link di seguito (comprese le parole da deb a main). Premere ogni volta su Aggiungi fonti.
I link vengono proposti nella stessa pagina in base alla distribuzione di Ubuntu in uso:
Verrà dato un avviso di software non autenticato. Chiuderlo (si autenticherà la fonte al passaggio successivo) e chiudere anche Sogenti software. Attendere la fine dell'aggiornamento delle fonti.


3A. Il paragrafo Signing key spiega come autenticare la fonte. Copiare la seconda parte del codice, quella dopo lo slash, segno "/"  (attualmente la parte in grassetto di: 1024R/AF1CDFA9).
Aprire un terminale e digitare il seguente comando, sostituendo il numero 12345678 con la parte del codice dopo lo slash:
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 12345678
3B. Come alternativa (più laboriosa) alla procedura di autenticazione sopra descritta, si può cliccare sul codice e aprire la pagina web con la chiave GPG/PGP.
Copiarla interamente e incollarla in un file di testo, salvandolo con un nome a piacere, tipo nuovorepository.
Aprire Sistema > Amministrazione > Sorgenti Software > Autenticazione e cliccare sul tasto Importa file chiave.... Navigare fino al file di testo nuovorepository e selezionarlo.
Chiudere sorgenti software e attendere eventuali operazioni di aggiornamento.


4. Nel terminale:

Codice: Seleziona tutto

sudo apt-get update
Seguirebbe sudo apt-get upgrade ma, se sono presenti altri repositories extra, non ben conosciuti, meglio evitare.


5. Da Sistema > Amministazione > Gestore Aggiornamenti, dovrebbe ora offrire i pacchetti aggiornati:
xserver-common
xserver-xorg-core
In Sistema Amministrazione > Gestore pacchetti Synaptic dovrebbe dare il numero di versione:
xorg-server   2:1.6.0-0ubuntu14.1~nobackfill~1
...o maggiore.


- forum internazionale (Jaunty), v. messaggio di HunterThomson:
http://ubuntuforums.org/showthread.php?t=1172875
- forum internazionale (Karmic, prima del rilascio), v. secondo messaggio di JCoster:
http://ubuntuforums.org/showthread.php?t=1259817&page=3

Grazie a drHouse per averlo riportato alla luce e a chi lo ha testato sul proprio computer.

Edit 1.
Link al download aggiornato per Kamic Koala:
https://launchpad.net/~launchpad-weylan ... obackfill/
Ultima modifica di nativis il mercoledì 19 maggio 2010, 13:00, modificato 1 volta in totale.
Avatar utente
ubuntuisnow
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 385
Iscrizione: giovedì 24 dicembre 2009, 12:44

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da ubuntuisnow »

non mi lascia fare gli aggiornamenti!  :( :'(

aiuto!ho anche io una HD e gli effetti sono peggio di lenti!
http://ubuntudiscovery.blogspot.com/
Il miglior blog... Penso Il Più Utile Dopo Quelli Famosi
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

Quale sistema usi e quale link hai seguito? Hai provato a ripetere la procedura per trovare eventuali errori?
Quale errore segnala quando provi ad aggiornare?
Ultima modifica di nativis il martedì 19 gennaio 2010, 22:19, modificato 1 volta in totale.
Avatar utente
ubuntuisnow
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 385
Iscrizione: giovedì 24 dicembre 2009, 12:44

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da ubuntuisnow »

allora inanzi tutto grazie della risposta  ;).......non c'è nessun errore!in pratica mi fa vedere li aggiornamenti ma non mi è possibile selezionarli....quindi nemmeno aggiornare.....sto usando ubuntu jaunty 9.04......
http://ubuntudiscovery.blogspot.com/
Il miglior blog... Penso Il Più Utile Dopo Quelli Famosi
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

È successo anche a me con l'aggiornamento del kernel qualche settimana fa. Se ricordo bene c'era un repository che avevo aggiunto io, nel mio caso di Openshot, che proponeva un avanzamento parziale di versione. Dato che non accetavo venivano bloccati alcuni altri aggiornamenti. Ho risolto deselezionando il repository di Openshot da:
Sistema > Amministrazione > Sorgenti software > Altro software

Dopo aver aggiunto o rimosso repositories, apri un terminale e dai:

Codice: Seleziona tutto

sudo apt-get update
Per aggiornare la lista dei repo.

Verifica di non avere un repository che fa da tappo.
Ultima modifica di nativis il lunedì 18 gennaio 2010, 19:07, modificato 1 volta in totale.
Avatar utente
ubuntuisnow
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 385
Iscrizione: giovedì 24 dicembre 2009, 12:44

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da ubuntuisnow »

ho guardato ma come faccio a sapere se ho dei repository tappo?

se passo a ubuntu 9.10 poi potrò farli quesrti aggio?
http://ubuntudiscovery.blogspot.com/
Il miglior blog... Penso Il Più Utile Dopo Quelli Famosi
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

In Sistema > Amministrazione > Sorgenti software > Aggiornamenti, verifica di aver abilitato "Aggiornamenti proposti".
Chiudi la finestra e poi:

Codice: Seleziona tutto

sudo apt-get update
Questo comando non ti deve restituire errori (err, ecc.) accanto ai vari link.
Verifica se ora è presente l'aggiornamento. Non usare gli altri aggiornamenti proposti, se non è tua intenzione. Spesso sono sperimentali.

Se non funzionasse ancora vai su:
Sistema > Amministrazione > Sorgenti software > Altro software
Da quel percorso vedi la lista di eventuali repositories aggiunti. Il segno di spunta vuol dire che sono attivi. Disattiva eventuali repository aggiunti togliendo il segno di spunta. Poi chiudi la finestra e dai nel terminale:

Codice: Seleziona tutto

sudo apt-get update
...per aggiornare la lista dei repo.
Verifica poi se puoi fare l'aggiornamento.

Se hai fatto un aggiornamento, per esempio da Intrepid a Jaunty, verifica di non avere vecchi repositories. Comando:

Codice: Seleziona tutto

sudo gedit /etc/apt/sources.list
Verifica che nel nome dei link non sia presente Intrepid. Se trovi un link a Intrepid, metti il segno "#" davanti al rigo (Alt Gr + à). Per esempio:
Il segno cancelletto serve ad evitare che venga usato quel rigo (vale per tutti i files).
Ultima modifica di nativis il venerdì 22 gennaio 2010, 11:47, modificato 1 volta in totale.
Avatar utente
ubuntuisnow
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 385
Iscrizione: giovedì 24 dicembre 2009, 12:44

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da ubuntuisnow »

e se li cancello direttamente invece di metterci #?

comunque non va lo stesso.  >:( >:( :(....ho cancellato le stringhe con scritto intrepid ma ho lasciato un file di backup.... mi conviene rimettere le stringhe?
Ultima modifica di ubuntuisnow il martedì 19 gennaio 2010, 22:13, modificato 1 volta in totale.
http://ubuntudiscovery.blogspot.com/
Il miglior blog... Penso Il Più Utile Dopo Quelli Famosi
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

Dato che ormai hai Jaunty i repo di Intrepid non dovrebbero servirti più a niente, salvo regredire a vecchi software, immagino.

Non saprei cos'altro consigliarti se non di ripetere la procedura e verificarla.

Qui
https://launchpad.net/~ubuntu-x-swat/+a ... o-backfill
...permette di scegliere tra i repo di karmic e jaunty (link in verde e tasto grigio).
I repo che hai aggiunto sono simili a questi?:
A qualcuno gli aggiornamenti sono arrivati dopo un paio di riavvii (non hanno detto altro).
Ultima modifica di nativis il martedì 19 gennaio 2010, 22:46, modificato 1 volta in totale.
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

Da:
Sistema > Amministrazione > Sorgenti software > Aggiornamenti
...hai provato anche abilitando "Aggiornamenti proposti"?
Se dovessero saltar fuori, ricorda di installare solo l'aggiornamento dei pacchetti xserver. Il resto non è sempre software stabile.
Ultima modifica di nativis il sabato 30 gennaio 2010, 7:42, modificato 1 volta in totale.
Avatar utente
ubuntuisnow
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 385
Iscrizione: giovedì 24 dicembre 2009, 12:44

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da ubuntuisnow »

allora ti spiego gli aggio vengono fuori ma non sono cliccabili  :-\......c'è non li mette neanche in colore grigio per far capire che non sono selezionabili.......ti posto un immagine .....

http://img709.imageshack.us/i/schermataa.png/


il fatto è che non mi fa spuntare gli aggio!help!!!
http://ubuntudiscovery.blogspot.com/
Il miglior blog... Penso Il Più Utile Dopo Quelli Famosi
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

Nell'immagine si vede un tipo di errore che non avevo mai visto:
Identificazione della distribuzione non riuscita
...come se non capisse se stai usando Jaunty o altro. La tua distribuzione è proprio Ubuntu o una versione modificata?

Non si riesce a scaricare neanche da Sistema > Amministrazione > Gestore Pacchetti Synaptic?

Qui ho trovato il link ai pacchetti .deb ma non saprei dirti quali siano necessari per il tuo pc/sistema:
http://ppa.launchpad.net/ubuntu-x-swat/ ... rg-server/
Ultima modifica di nativis il giovedì 21 gennaio 2010, 10:22, modificato 1 volta in totale.
Avatar utente
ubuntuisnow
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 385
Iscrizione: giovedì 24 dicembre 2009, 12:44

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da ubuntuisnow »

allora ....sto usando ubuntu 9.04 normale......non versioni modificate  ;)

da gestore synaptic come si chiama il pacchetto?


RE:Scusa allora ho cercato i pacchetti e ci sono ma dice che sono gia installati!.....magari si ma sicuramente non la versione no backfil......
Ultima modifica di ubuntuisnow il giovedì 21 gennaio 2010, 13:56, modificato 1 volta in totale.
http://ubuntudiscovery.blogspot.com/
Il miglior blog... Penso Il Più Utile Dopo Quelli Famosi
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

In synaptic dovresti vedere due diversi pacchetti:
1. quelli normalmente installati, del tipo:
xorg-server
Questo dovrebbe essere già installato.
2. quelli appena aggiunti, i no-backfill, con nome e versione differenti dai primi, simili a questi:
xorg-server     2:1.6.0-0ubuntu14.1~nobackfill~1
Questo dovrebbe essere senza segno di spunta verde e cioè non ancora installato.
Ultima modifica di nativis il giovedì 21 gennaio 2010, 14:29, modificato 1 volta in totale.
Avatar utente
ubuntuisnow
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 385
Iscrizione: giovedì 24 dicembre 2009, 12:44

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da ubuntuisnow »

ok fatto grazie.....le cose sono migliorate......una cosa tu sai perkè i film scattano? uso vlc e i film normali scattano ogni 10 secondi....HD 720 ogni 10 secondi......HD 1080 Inguardabili  >:(.....con windows però andavano a meraviglia! >:(come mai?

ho provato coi driver liberi e va bene tutto non scatta niente......solo che non posso attivare compiz......è possibile attivare compiz con driver liberi?
http://ubuntudiscovery.blogspot.com/
Il miglior blog... Penso Il Più Utile Dopo Quelli Famosi
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

Finalmente : )

Purtroppo sui video a scatti non posso dire molto perché non ho monitor HD, quindi non mi sono imbattuto nel problema.

1. Verifica di avere tutti i codec:
http://help.ubuntu-it.org/9.04/ubuntu/m ... index.html
2. Leggi qui:
http://forum.ubuntu-it.org/viewtopic.php?t=330889new
...per regolare il vsync (aggioramento verticale) da Catalyst Control Center (come Amministratore) > Altre impostazioni > Attendi aggiornamento verticale (prestazioni/qualità).
Nome pacchetto fglrx-amdcccle.
3. Prova anche qualche altro player, in modo che vengano installate eventuali piccole aggiunte. Per esempio Mplayer e Realplayer. qualcuno ha trovato miglioramenti con xbmc (in particolare sul Tearing)


Ho letto che potrebbe servire un kernel più recente, perfino di quelli usati da Karmic, e quindi sperimentali. Puoi leggere qualcosa qui:
http://redblue.netsons.org/guide/effett ... fglrx.html
Non so quali schede siano interessate.

Comunque non sono sicuro perché uso poco Compiz e non sono aggiornato. Chiedi nella sezione apposita:
http://forum.ubuntu-it.org/viewforum.php?f=65
Ultima modifica di nativis il sabato 30 gennaio 2010, 8:14, modificato 1 volta in totale.
Avatar utente
ubuntuisnow
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 385
Iscrizione: giovedì 24 dicembre 2009, 12:44

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da ubuntuisnow »

oddio ho fatto un disastro !! >:(

ho aggiornato a ubuntu 9.10 e mi da i seguenti problemi.....audio non va!, non posso più cambiare schermata di login  (mad),lento all'avvio,non mi fa installare driver!

quando cerco di installare driver video mi restituiscie l'errore :

Sorry, installation of this driver failed.

Please have a look at the log file for details: /var/log/jockey.log

aiutoooooooooooooooooooooooO!
http://ubuntudiscovery.blogspot.com/
Il miglior blog... Penso Il Più Utile Dopo Quelli Famosi
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

Ho visto in altra discussione che hai già "risolto" formattando. Mi pare di capire che tu non avessi letto le note di avanzamento, ne disinstallato i drivers prima di procedere. Non so se avevi poi reinstallato no-backfill anche su 9.10.

In ogni caso problemi diversi vanno postati in discussioni apposite, nuove o già aperte. Ogni thread è dedicato a un argomento specifico, riassunto nel titolo.
Ultima modifica di nativis il venerdì 22 gennaio 2010, 2:18, modificato 1 volta in totale.
marius84
Prode Principiante
Messaggi: 38
Iscrizione: giovedì 29 marzo 2007, 16:37

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da marius84 »

ciao a tutti
io non riesco a far autenticare la chiave, sia da terminale che da file.. voi ci siete riusciti? uso kubuntu 9.10

mi ritorna questo:
root@eltazar-desktop:~# sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys AF1CDFA9
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys AF1CDFA9
gpg: richiesta della chiave AF1CDFA9 dal server hkp keyserver.ubuntu.com
gpg: chiave AF1CDFA9: "Launchpad PPA for Ubuntu-X" non cambiata
gpg: Numero totale esaminato: 1
gpg:              non modificate: 1
e poi dando sudo apt-get update ritorna questo:
Trovato http://it.archive.ubuntu.com karmic-updates/multiverse Packages
Trovato http://it.archive.ubuntu.com karmic-updates/multiverse Sources
Recuperati 1287kB in 9s (132kB/s)
Lettura elenco dei pacchetti... Fatto
W: Errore GPG: http://ppa.launchpad.net karmic Release: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY 5A9BF3BB4E5E17B5
consigli?


grazie
Ultima modifica di marius84 il martedì 26 gennaio 2010, 15:33, modificato 1 volta in totale.
nativis
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1851
Iscrizione: martedì 4 novembre 2008, 10:58

Re: [Risolto] Avviso - schede ATI HD 2xxx, 3xxx, e 4xxx. Bug finestre, video, Compiz

Messaggio da nativis »

La chiave può cambiare nel tempo. Dando una rapida occhiata ai link a Launchpad
https://launchpad.net/~launchpad-weylan ... obackfill/
Ho visto:
Karmic: 1024R/16E70E3E
Verifica.
Scrivi risposta

Ritorna a “Driver e periferiche”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 9 ospiti